# Search Whitelist

## Search Whitelist

> Use the following parameters to search whitelists.

```json
{"openapi":"3.0.2","info":{"title":"Vault API","version":"80fbdca"},"tags":[],"security":[{"Ledger_API_Key":[],"Ledger_API_User":[]},{"Ledger_API_Key":[],"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]},{"Ledger_API_User":[]},{"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]}],"components":{"securitySchemes":{"Ledger_API_Key":{"description":"If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, [see step 5 of the get started documentation](https://help.vault.ledger.com/Content/api/api_getstarted.html).","in":"header","name":"X-Ledger-API-Key","type":"apiKey"},"Ledger_API_User":{"description":"(**required**) Username of a registered API User","in":"header","name":"X-Ledger-API-User","type":"apiKey"}},"schemas":{"_APISearchWhitelistResults":{"properties":{"edges":{"items":{"$ref":"#/components/schemas/WhitelistSearchResult"},"type":"array"},"page_info":{"$ref":"#/components/schemas/APISearchPageInfo"}},"required":["edges","page_info"],"type":"object"},"WhitelistSearchResult":{"properties":{"cursor":{"type":"integer"},"node":{"$ref":"#/components/schemas/Whitelist"}},"required":["cursor","node"],"type":"object"},"Whitelist":{"additionalProperties":false,"properties":{"addresses":{"items":{"$ref":"#/components/schemas/WhitelistAddress"},"type":"array"},"created_by":{"type":"integer"},"created_on":{"format":"date-time","type":"string"},"description":{"type":"string"},"id":{"type":"integer"},"last_request":{"default":null,"nullable":true,"type":"integer"},"name":{"type":"string"},"status":{"enum":["ACTIVE","PENDING","REJECTED","REVOKED"],"type":"string"}},"required":["addresses","created_by","created_on","description","id","name","status"],"type":"object"},"WhitelistAddress":{"properties":{"address":{"type":"string"},"currency":{"enum":["Dollar","Euro","arbitrum","arbitrum_goerli","avalanche_c_chain","avalanche_c_chain_fuji","base","base_goerli","bitcoin","bitcoin_cash","bitcoin_gold","bitcoin_testnet","bsc","cardano","celo","celo_alfajores","cosmos","cronos","cronos_testnet","dash","digibyte","dogecoin","ethereum","ethereum_goerli","ethereum_holesky","ethereum_pow","ethereum_ropsten","ethereum_sepolia","fantom","fantom_testnet","filecoin","filecoin_calibration","flare","flare_coston","kava_evm","kava_evm_testnet","klaytn","klaytn_baobab","komodo","litecoin","near","optimism","optimism_goerli","pivx","polkadot","polygon","polygon_mumbai","ripple","solana","solana_devnet","solana_testnet","stellar","tezos","tomo","tomo_testnet","tron","vertcoin","viacoin","westend"],"type":"string"},"destination_tags":{"default":null,"items":{"type":"integer"},"nullable":true,"type":"array"},"id":{"type":"integer"},"name":{"type":"string"}},"required":["address","currency","id","name"],"type":"object"},"APISearchPageInfo":{"properties":{"count":{"type":"integer"},"has_next_page":{"type":"boolean"}},"required":["count","has_next_page"],"type":"object"},"Error":{"properties":{"message":{"type":"string"},"name":{"type":"string"},"status_code":{"type":"integer"}},"required":["message","name","status_code"],"type":"object"}}},"paths":{"/whitelists":{"get":{"summary":"Search Whitelist","tags":["Whitelists"],"description":"Use the following parameters to search whitelists.","parameters":[{"name":"account","in":"query","description":"Returns the whitelists used in the specified account's governance rules.","required":false,"explode":true,"schema":{"default":null,"items":{"type":"integer"},"nullable":true,"type":"array"},"style":"form"},{"name":"address","in":"query","description":"Filters the list by address.","required":false,"schema":{"default":null,"nullable":true,"type":"string"}},{"name":"created_after","in":"query","description":"Returns objects created after the entered date.","required":false,"schema":{"default":null,"format":"date-time","nullable":true,"type":"string"}},{"name":"created_before","in":"query","description":"Returns objects created before the entered date.","required":false,"schema":{"default":null,"format":"date-time","nullable":true,"type":"string"}},{"name":"description","in":"query","description":"Returns objects that contain the entered description.","required":false,"schema":{"default":null,"nullable":true,"type":"string"}},{"name":"id","in":"query","description":"Returns the object corresponding to the entered ID","required":false,"schema":{"default":null,"nullable":true,"type":"integer"}},{"name":"name","in":"query","description":"Filters the list by whitelist name.","required":false,"schema":{"default":null,"nullable":true,"type":"string"}},{"name":"order","in":"query","description":"Orders the list of results","required":false,"schema":{"default":null,"enum":[null,"asc","desc"],"nullable":true,"type":"string"}},{"name":"order_by","in":"query","description":"criteria to order by","required":false,"schema":{"default":null,"nullable":true,"type":"string"}},{"name":"page","in":"query","description":"Defines the page number to be fetched.","required":false,"schema":{"default":1,"minimum":1,"nullable":true,"type":"integer"}},{"name":"page_size","in":"query","description":"Defines the number of elements displayed on a page.\n        Must be a positive number with 0 and -1 return a maximum defined in the gate","required":false,"schema":{"default":20,"minimum":-1,"nullable":true,"type":"integer"}},{"name":"status","in":"query","description":"Returns objects that match the selected status.","required":false,"explode":true,"schema":{"default":null,"items":{"enum":["ACTIVE","PENDING","REJECTED","REVOKED"],"type":"string"},"nullable":true,"type":"array"},"style":"form"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/_APISearchWhitelistResults"}}},"description":"Whitelist search results"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid search parameters"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.enterprise.ledger.com/api-documentation/reference/api-reference/whitelists/search-whitelist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
